# TODO: fulfill dependencies and enable tests
#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_with	tests	# unit tests (TODO)

Summary:	Verify certificates using native system trust stores
Summary(pl.UTF-8):	Weryfikacja certyfikatów przy użyciu natywnych dla systemu baz zaufania
Name:		python3-truststore
Version:	0.10.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/truststore/
Source0:	https://files.pythonhosted.org/packages/source/t/truststore/truststore-%{version}.tar.gz
# Source0-md5:	94759b92e1782acedc1394fd9a10f783
URL:		https://pypi.org/project/truststore/
BuildRequires:	python3-build
BuildRequires:	python3-flit_core >= 3.2
BuildRequires:	python3-flit_core < 4
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.10
%if %{with tests}
BuildRequires:	python3-aiohttp
BuildRequires:	python3-flaky
BuildRequires:	python3-httpx
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-asyncio
BuildRequires:	python3-pytest-httpserver
BuildRequires:	python3-requests
BuildRequires:	python3-urllib3
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with doc}
BuildRequires:	python3-furo
BuildRequires:	python3-myst_parser
BuildRequires:	sphinx-pdg-3 >= 7.2.2
%endif
Requires:	python3-modules >= 1:3.10
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Truststore is a library which exposes native system certificate stores
(i.e. "trust stores") through an ssl.SSLContext-like API. This means
that Python applications no longer need to rely on certifi as a root
certificate store. Native system certificate stores have many helpful
features compared to a static certificate bundle like certifi:
- Automatically update certificates as new CAs are created and removed
- Fetch missing intermediate certificates
- Check certificates against certificate revocation lists (CRLs) to
  avoid monster-in-the-middle (MITM) attacks
- Managed per-system rather than per-application by a operations/IT
  team
- PyPI is no longer a CA distribution channel

%description -l pl.UTF-8
Truststore to biblioteka udostępniająca natywną dla systemu bazę
certyfikatów (bazę zaufania) poprzez API w stylu ssl.SSLContext.
Oznacza to, że aplikacje pythonowe nie muszą polegać na certify jako
głównej bazie certyfikatów. Natywna dla systemu baza certyfikatów ma
wiele przydatnych funkcji w porównaniu do statycznej paczki
certyfikatów, takiej jak certifi:
- automatyczne uaktualnienia certyfikatów w miarę tworzenia i usuwania
  CA
- pobieranie brakujących certyfikatów pośrednich
- sprawdzanie certyfikatów względem list anulowania (CRL), aby
  zapobiec atakom MITM
- zarządzanie przez zespół administratorów globalnie dla systemu,
  zamiast dla każdej aplikacji osobno
- PyPI przestaje być kanałem dystrybucji CA

%package apidocs
Summary:	API documentation for Python truststore module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona truststore
Group:		Documentation

%description apidocs
API documentation for Python truststore module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona truststore.

%prep
%setup -q -n truststore-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=... \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/truststore
%{py3_sitescriptdir}/truststore-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Sat Jul 05 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-truststore.git;a=log;h=master

* Sat Jul 05 2025 Jakub Bogusz <qboosh@pld-linux.org> 28c09a4
- new

